- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDiscriminator
TInlineParameterMapParser
TParameterMap
TParameterProperty
TResultMap
TResultProperty
TSimpleDynamicParser
TSqlMapCacheKey
TSqlMapCacheModel
TSqlMapCacheTypes
TSqlMapDelete
TSqlMapInsert
TSqlMapSelectKey
TSqlMapStatement
TSqlMapUpdate
TSqlMapXmlConfigBuilder
TSqlMapXmlConfiguration
TSqlMapXmlMappingConfiguration
TSubMap

Keyword

# Class TSqlMapXmlConfiguration

    TSqlMapXmlConfigBuilder
       |
       --TSqlMapXmlConfiguration

TSqlMapXmlConfig class.

Configures the TSqlMapManager using xml configuration file.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constructor Summary
public | __construct Array

Method Summary
protected void | attachCacheModels () Set the cache for each statement having a cache model property.
void | configure ( string $filename) Configure the TSqlMapManager using the given xml file.
protected void | getConfigFile ()
void | getManager ()
protected void | loadDatabaseConnection ( SimpleXmlElement $node) Load the database connection tag.
protected void | loadGlobalProperty ( SimpleXmlElement $node) Load global replacement property.
protected void | loadSqlMappingFiles ( unknown_type $node) Load SqlMap mapping configuration.
protected void | loadTypeHandler ( SimpleXmlElement $node) Load the type handler configurations.
string | replaceProperties ( string $string) Replace the place holders ${name} in text with properties the corresponding global property value.
protected void | resolveResultMapping () Resolve nest result mappings.

Methods Inherited From TSqlMapXmlConfigBuilder
TSqlMapXmlConfigBuilder::createObjectFromNode(), TSqlMapXmlConfigBuilder::getAbsoluteFilePath(), TSqlMapXmlConfigBuilder::getElementByIdValue(), TSqlMapXmlConfigBuilder::loadXmlDocument(), TSqlMapXmlConfigBuilder::setObjectPropFromNode()

Constructor Details

## __construct

public __construct | Array

Method Details

## attachCacheModels

protected void attachCacheModels | ()

Set the cache for each statement having a cache model property.

Output
Exception

## configure

public void configure | (string $filename )

Configure the TSqlMapManager using the given xml file.

Input
string | $filename | SqlMap configuration xml file.
Output
Exception

## getConfigFile

protected void getConfigFile | ()

Output
Exception

## getManager

public void getManager | ()

Output
Exception

## loadDatabaseConnection

protected void loadDatabaseConnection | (SimpleXmlElement $node )

Load the database connection tag.

Input
SimpleXmlElement | $node | connection node.
Output
Exception

## loadGlobalProperty

protected void loadGlobalProperty | (SimpleXmlElement $node )

Load global replacement property.

Input
SimpleXmlElement | $node | property node.
Output
Exception

## loadSqlMappingFiles

protected void loadSqlMappingFiles | (unknown_type $node )

Load SqlMap mapping configuration.

Input
unknown_type | $node |
Output
Exception

## loadTypeHandler

protected void loadTypeHandler | (SimpleXmlElement $node )

Load the type handler configurations.

Input
SimpleXmlElement | $node | type handler node
Output
Exception

## replaceProperties

public string replaceProperties | (string $string )

Replace the place holders ${name} in text with properties the corresponding global property value.

Input
string | $string | original string.
Output
string | string with global property replacement.
Exception

## resolveResultMapping

protected void resolveResultMapping | ()

Resolve nest result mappings.

Output
Exception